	 Program readwrite

        parameter (layers=45)
        real*4 deta(layers), ldt1(layers)

        REWIND 11
        read(11)DETA,LDT1

        sum=0.
        do I=1,layers
        sum=sum+deta(I)
        write(6,*) DETA(I), sum
        enddo

        write(6,*) 'sum of deta= ', sum

C        write(51)DETA

        end

